| Box2D 2.3.0 A 2D Physics Engine for Games

Public Attributes | List of all members
b2ManifoldPoint Struct Reference

`#include <b2Collision.h>`

## Public Attributes
b2Vec2 | localPoint
| usage depends on manifold type
float32 | normalImpulse
| the non-penetration impulse
float32 | tangentImpulse
| the friction impulse
b2ContactID | id
| uniquely identifies a contact point between two shapes

## Detailed Description

A manifold point is a contact point belonging to a contact manifold. It holds details related to the geometry and dynamics of the contact points. The local point usage depends on the manifold type: -e_circles: the local center of circleB -e_faceA: the local center of cirlceB or the clip point of polygonB -e_faceB: the clip point of polygonA This structure is stored across time steps, so we keep it small. Note: the impulses are used for internal caching and may not provide reliable contact forces, especially for high speed collisions.

The documentation for this struct was generated from the following file:

- b2Collision.h